--- /dev/null
+#!/bin/bash
+
+# The hook is given three parameters: the ref of the previous HEAD, the ref of
+# the new HEAD (which may or may not have changed), and a flag indicating
+# whether the checkout was a branch checkout (changing branches, flag=1) or a
+# file checkout (retrieving a file from the index, flag=0).
+
+branch=$(git symbolic-ref HEAD)
+branch=${branch/refs\/heads\//}
+
+git config --list | grep "branch.${branch}.rebase" > /dev/null
+if [ $? -ne 0 ] ; then
+ git config --add "branch.${branch}.rebase" true
+fi
+